%define upstream_name    Time-y2038
%define upstream_version 20100403

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 15

Summary:	Use Time::y2038's gmtime and localtime everywhere
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(JSON)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Warn)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl-devel

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
On many computers, Perl's time functions will not work past the year 2038.
This is a design fault in the underlying C libraries Perl uses. Time::y2038
provides replacements for those functions which will work accurately +/1
142 million years.

This only imports the functions into your namespace. To replace it
everywhere, see the Time::y2038::Everywhere manpage.

Replaces the following functions:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 20100403.0.0-15.mga6
+ Revision: 1035358
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 20100403.0.0-14.mga6
+ Revision: 958138
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 20100403.0.0-13.mga6
+ Revision: 845389
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 20100403.0.0-12.mga6
+ Revision: 841404
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 20100403.0.0-11.mga5
+ Revision: 750813
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 20100403.0.0-10.mga5
+ Revision: 736107
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 20100403.0.0-9.mga5
+ Revision: 686713
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 20100403.0.0-8.mga5
+ Revision: 631819
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 20100403.0.0-7.mga4
+ Revision: 524564
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 20100403.0.0-6.mga4
+ Revision: 430981
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 20100403.0.0-5.mga3
+ Revision: 374370
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 20100403.0.0-4.mga3
+ Revision: 251271
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 20100403.0.0-3.mga2
+ Revision: 105071
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 20100403.0.0-2.mga1
+ Revision: 31385
- mageia rebuild
- cleaning spec file
- imported package perl-Time-y2038


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 20100403.0.0-2mdv2011.0
+ Revision: 556186
- rebuild for perl 5.12

* Sat May 15 2010 Guillaume Rousse <guillomovitch@mandriva.org> 20100403.0.0-1mdv2010.1
+ Revision: 544857
- import perl-Time-y2038


* Sat May 15 2010 cpan2dist 20100403-1mdv
- initial mdv release, generated with cpan2dist
